package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(questionnaire_question_item):
 */
public class QuestionnaireQuestionItem extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Integer questionnaireTopicId;
	
	/**  */
	private Long questionnaireQuestionId;
	
	/** 答案项 */
	private String answerValue;
	
	/** 排序 */
	private Integer sort = 0;

	private int isOver = 0;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public int getIsOver() {
		return isOver;
	}

	public void setIsOver(int isOver) {
		this.isOver = isOver;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setQuestionnaireTopicId(Integer questionnaireTopicId){
		this.questionnaireTopicId = questionnaireTopicId;
	}
	
	public Integer getQuestionnaireTopicId(){
		return this.questionnaireTopicId;
	}
			
	public void setQuestionnaireQuestionId(Long questionnaireQuestionId){
		this.questionnaireQuestionId = questionnaireQuestionId;
	}
	
	public Long getQuestionnaireQuestionId(){
		return this.questionnaireQuestionId;
	}
			
	public void setAnswerValue(String answerValue){
		this.answerValue = answerValue;
	}
	
	public String getAnswerValue(){
		return this.answerValue;
	}
			
	public void setSort(Integer sort){
		this.sort = sort;
	}
	
	public Integer getSort(){
		return this.sort;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
